<script setup>
import CardHeaderCreate from '@/components/card_header/CardHeaderCreate.vue'
import CardHeaderBrowse from '@/components/card_header/CardHeaderBrowse.vue'
</script>

<template>
<div>
  <div>
    <CardHeaderCreate :on_browse='() => {state = "browse"}'
                      v-if='state=="add_new" && $store.state.user?.is_staff'/>

    <CardHeaderCreate :initial_object=record
                      :after_post_callback='() => {state = "browse"}'
                      :on_browse='() => {state = "browse"}'
                      v-else-if='state=="edit" && $store.state.user?.is_staff' />

    <CardHeaderBrowse :on_edit='OnChildButtonEdit'
                      :on_add_new='() => {state = "add_new"}'
                      v-else-if='state=="browse"' />
  </div>

  </div>
</template>

<script>
import { setAuthorizationToken } from "../utils/authUtils";
import { getCardHeaderById } from "../utils/apiUtils";

export default {
  name: "CardHeader",
  data: function() {
    return {
      state: "browse",
    };
  },
  methods: {
    OnChildButtonEdit(id) {
      if (id) {
        (async () => {
            setAuthorizationToken(localStorage.getItem("jwtAccessToken"));
            this.record = await getCardHeaderById(id)
            this.state = "edit"
        })();
      }
    }
  },
  mounted: function() {}
};
</script>

<style scoped>

</style>>